package game.locations.elevatorMove;

import aseprite.Aseprite;

import game.locations.Interactive;

class Buttons extends Interactive {
  var anim: Aseprite;
  public var on(default, set): Bool;

  public function new() {
    super(false, null);

    anim = new Aseprite('assets/locations/elevatorMove/buttons');
    addChild(anim);

    on = true;
  }

  function set_on(value: Bool) {
    anim.play(value ? 'on' : 'off');
    return on = value;
  }

  override function action() {
    Game.currentGame.playSound('sound/elevator/button.ogg');

    Game.currentGame.sayRandom([
      'Похоже лифт больше не работает',
      'Лифт явно вышел из строя',
      'Похоже я не смогу уехать обратно на лифте',
      'Лифт не работает. Придется искать другой путь'
      ]);
    super.action();
  }
}
